<hr>
<h4>Tipo de uso de la edificacion a realizar</h4>
<hr>
<hr>

<div class="row">
    <div class="col">

        <form autocomplete="off" [formGroup]="miFormulario">

            <!--Region-->
            <div class="row mb-3">
                <div class="col">
                    <label class="form-label">Categorías</label>
                    <select class="form-control" formControlName="categoria">
                <option value=""  > -- Seleccione Categoría --</option>
                <option *ngFor="let categoria of categorias" [value] ="categoria.idcategoria"> {{categoria.nombre}}</option>
            </select>
                </div>
            </div>


            <div class="row mb-3">
                <div class="col">
                    <label class="form-label">Sub Categorias:</label>
                    <select class="form-control" formControlName="subcategoria">
                    <option value=""  > -- Seleccione Sub Categoria --</option>
                    <option *ngFor="let subcategoria of subcategorias" [value] ="subcategoria.idsubcategoria"> {{subcategoria.nombre}}</option>
                
                    </select>
                </div>
            </div>
            <!--Actividades-->
            <div class="row mb-3">
                <div class="col">
                    <label class="form-label">Actividad:</label>
                    <select class="form-control" formControlName="actividad">
                <option value=""  > -- Seleccione actividad --</option>
                <option *ngFor="let actividad  of actividades" [value] ="actividad.idactividad"> {{actividad.nombre}}</option>
            </select>
                </div>
            </div>


            <div class="row" *ngIf="cargando">
                <div class="col">
                    <div class="alert alert-primary">
                        Cargando....
                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col">
                    <button class="btn btn-primary float-end" (click)="irSiguiente()" type=" button ">Siguiente</button>
                    <button class='previous btn btn-success' (click)="irAnterior() " type='button '>Anterior</button>
                </div>
            </div>


        </form>

    </div>
</div>



<!--<div class="row ">
    <div class="col ">

        <span>Valid</span>
        <pre>{{ miFormulario.valid }}</pre>

        <span>Pristine</span>
        <pre>{{ miFormulario.pristine }}</pre>

        <span>Touched</span>
        <pre>{{ miFormulario.touched }}</pre>

        <span>Value</span>
        <pre>{{ miFormulario.value | json }}</pre>



    </div>
    </div>-->